/*!
* PT. IMAJIKU CIPTA MEDIA
* Copyright 2019-2020 IMAJIKU.
*/

/* = Priority
-------------------------------------------------------------*/
.item-priority {
	list-style: none;
	max-height: 300px;
	overflow: auto;
	border: 1px solid #ececec;
	border-radius: 4px;
	background-color: #f9f9f9;
	padding: 10px;
}

.item-priority .question-item p {
	align-items: center;
	flex-direction: row;
	white-space: pre;
}

.item-priority-live {
	list-style: none;
	padding-left: 0;
}

.item-priority-fp {
	list-style: none;
	padding-left: 0;
}

.item-priority-qe {
	list-style: none;
	padding-left: 0;
}

.item-priority .question-text span {
	width: 25px;
	text-align: left;
	white-space: pre;
}

.preview-priority-question div {
	user-select: none !important;
	pointer-events: none;
}

.item-priority-live.preview-priority-question div {
	user-select: auto !important;
	pointer-events: auto;
}

.item-priority-qe.preview-priority-question div {
	user-select: auto !important;
	pointer-events: auto;
}


.disable-answer div {
	user-select: none !important;
	pointer-events: none;
}

.item-priority-live .question-item {
	width: 100%;
}

.item-priority-qe .question-item {
	width: 100%;
}

.item-priority .question-text .priority-desc {
	width: 100%;
	text-align: left;
	white-space: normal;
}

.item-priority-live .question-text .priority-desc {
	width: 100%;
	text-align: left;
	white-space: normal;
}

.item-priority-qe .question-text .priority-desc {
	width: 100%;
	text-align: left;
	white-space: normal;
}

.item-priority-live li {
	display: flex;
	justify-content: space-between;
	flex-direction: row;
	align-items: center;
}

.item-priority-qe li {
	display: flex;
	justify-content: space-between;
	flex-direction: row;
	align-items: center;
}

.question-point {
	width: 100px;
	margin-left: 10px;
}

.item-priority-fp .question-item {
	width: 100%;
}

.quiz-score-box .question-item {
	width: 90%;
	margin-right: 15px;
}

.mcb-head-answer .custom-multiradio input[type="radio"] + span.customRadio,
.mcb-head-answer .custom-multicheckbox input[type="checkbox"] + span.customCheckbox {
	margin: 0 1px 0 -20px !important;
}

.field-priority-wrapper {
	display: block;
	position: relative;
	padding: 6px;
	border-radius: 4px;
	max-height: 150px;
	overflow-y: auto;
	border: 1px solid #ced4da;
}

/*incorrect & correct answer priority*/
.item-priority-fp .label-incorrect i {
	position: relative;
	right: 0;
	top: -3px;
}

.item-priority-fp .label-correct i {
	position: relative;
	right: 0;
	top: -3px;
}

.item-priority-fp .label-incorrect {
	display: none;
}

.item-priority-fp .label-correct {
	display: none;
}

/*.item-priority-fp .incorrect-answer-active {
	margin-right: -20px !important;
}*/

.item-priority-fp .correct-answer-active .label-correct {
	display: inline-block;
}

.item-priority-fp .incorrect-answer-active .label-incorrect {
	display: inline-block;
}

.item-priority-fp li {
	display: flex;
	flex-direction: row;
	align-items: center;
}

.editing-category-question .question-item {
	width: 100%;
	margin-right: 0px;
}

.preview-keyanswer-correct-priority {
	border: 1px solid #ececec;
	border-radius: 4px;
	background-color: #f9f9f9;
	padding: 15px 0px 15px 15px;
}

.preview-keyanswer-correct-priority h3 {
	font-size: 14px;
	line-height: 1.5;
	font-weight: 600;
	color: #28a745;
}


.remove-field {
	margin: 10px 5px 5px;
}


/* Extra Small Devices, Phones */
@media only screen and (max-width : 767px) {
	.modal-body {
		padding: 20px 15px 20px;
	}
	.new-question-section .actions {
	    padding-top: 0px;
	    margin-top: -10px;
	    padding-bottom: 20px;
	}
	.popup-answerkey-body {
	    padding: 15px;
	}
	.item-priority-live li {
		justify-content: center;
	    flex-direction: column;
	    align-items: flex-end;
	}
	.item-priority-qe li {
		justify-content: center;
	    flex-direction: column;
	    align-items: flex-end;
	}
	.question-live-preview-select {
	    padding: 0px 10px;
	}
	.question-field-detail .question-field-live-preview {
	    margin: 30px 0;
	}
	.quiz-editing .question-points:after {
		display: none;
	}
	.editing-category-box .question-item {
		flex-direction: column;
	}
	.editing-category-body .question-text {
    	width: 100%;
	}
	.modal-edit-question-type .modal-lg, .modal-edit-question-type-for-quiz .modal-lg {
	    max-width: 90%;
	    margin: 15px auto;
	}
}